import "graphile-build";
import "graphile-build-pg";
import type { PromiseOrDirect } from "grafast";
import type { GrafservBase, GrafservConfig } from "grafserv";
import type { GraphQLSchema } from "graphql";
import type { ServerParams } from "./interfaces.js";
export { makeSchema } from "./schema.js";
export { GraphileBuild, GraphileConfig };
export interface PostGraphileInstance {
    createServ<TGrafserv extends GrafservBase>(grafserv: (config: GrafservConfig) => TGrafserv): TGrafserv;
    getServerParams(): PromiseOrDirect<ServerParams>;
    getSchema(): PromiseOrDirect<GraphQLSchema>;
    getResolvedPreset(): GraphileConfig.ResolvedPreset;
    release(): PromiseOrDirect<void>;
}
export declare function postgraphile(preset: GraphileConfig.Preset): PostGraphileInstance;
export default postgraphile;
//# sourceMappingURL=index.d.ts.map